package cn.com.qmth.examcloud.core.basic.api;

import cn.com.qmth.examcloud.api.commons.CloudService;
import cn.com.qmth.examcloud.core.basic.api.request.*;
import cn.com.qmth.examcloud.core.basic.api.response.*;

/**
 * 学生接口服务
 *
 * @author chenken
 * @date 2018年5月4日 下午5:10:40
 * @company QMTH
 */
public interface StudentCloudService extends CloudService {

    /**
     * 插入或更新学生
     *
     * @param req
     * @author WANGWEI
     */
    SaveStudentResp saveStudent(SaveStudentReq req);

    /**
     * 查询学生信息
     *
     * @param req
     * @return
     * @author WANGWEI
     */
    GetStudentResp getStudent(GetStudentReq req);

    /**
     * 解绑学号
     *
     * @param req
     * @return
     * @author WANGWEI
     */
    UnbindStudentCodeResp unbindStudentCode(UnbindStudentCodeReq req);

    /**
     * 修改密码
     *
     * @param req
     * @return
     * @author WANGWEI
     */
    UpdatePasswordResp updatePassword(UpdatePasswordReq req);

    /**
     * 更新学生状态
     *
     * @param req
     * @return
     * @author WANGWEI
     */
    UpdateStudentStatusResp updateStudentStatus(UpdateStudentStatusReq req);

    /**
     * 统计学生
     *
     * @param req
     * @return
     * @author WANGWEI
     */
    CountStudentResp countStudent(CountStudentReq req);

    GetStudentListByIdsResp getStudentListByIds(GetStudentListByIdsReq req);

    GetStudentMapsResp getStudentMaps(GetStudentMapsReq req);

}