package cn.com.qmth.examcloud.examwork.api.client;

import cn.com.qmth.examcloud.examwork.api.ExamStageCloudService;
import cn.com.qmth.examcloud.examwork.api.request.GetExamStageReq;
import cn.com.qmth.examcloud.examwork.api.request.ModifyExamStageStartExamStatusReq;
import cn.com.qmth.examcloud.examwork.api.response.GetExamStageResp;
import cn.com.qmth.examcloud.examwork.api.response.ModifyExamStageStartExamStatusResp;
import org.springframework.stereotype.Service;

/**
 * @Description 考试场次
 * @Author lideyin
 * @Date 2020/8/6 17:22
 * @Version 1.0
 */
@Service
public class ExamStageCloudServiceClient extends AbstractCloudClientSupport implements ExamStageCloudService {

    /**
     * 更新场次中的考试状态
     *
     * @param req
     */
    @Override
    public ModifyExamStageStartExamStatusResp modifyExamStageStartExamStatus(ModifyExamStageStartExamStatusReq req) {
        return post("examStage/modifyExamStageStartExamStatus", req, ModifyExamStageStartExamStatusResp.class);
    }

    /**
     * 获取场次信息
     *
     * @param req
     */
    @Override
    public GetExamStageResp getExamStage(GetExamStageReq req) {
        return post("examStage/getExamStage", req, GetExamStageResp.class);
    }
}
